Permalink
Browse files

Relaxed the requirement for the Redis gem (>= 2.2). Updated developme…

…nt dependencies.
  • Loading branch information...
jodosha committed Nov 24, 2012
1 parent 0ac7715 commit 0b1f673ce9250f39cd9d06bf944472befeda815c
@@ -22,10 +22,10 @@ Gem::Specification.new do |s|
s.add_runtime_dependency 'redis-rack', '~> 1.4.0'
s.add_runtime_dependency 'actionpack', '~> 3.2.3'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
s.add_development_dependency 'tzinfo'
s.add_development_dependency 'mini_specunit'
s.add_development_dependency 'mini_backtrace'
@@ -21,10 +21,9 @@ Gem::Specification.new do |s|
s.add_runtime_dependency 'redis-store', '~> 1.1.0'
s.add_runtime_dependency 'activesupport', '~> 3.2.3'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
end
@@ -2,7 +2,7 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
+require 'mocha/setup'
require 'active_support'
require 'active_support/cache/redis_store'
@@ -21,9 +21,8 @@ Gem::Specification.new do |s|
s.add_runtime_dependency 'redis-store', '~> 1.1.0'
s.add_runtime_dependency 'i18n', '~> 0.6.0'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
end
@@ -2,6 +2,6 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
+require 'mocha/setup'
require 'i18n'
require 'i18n/backend/redis'
@@ -21,9 +21,8 @@ Gem::Specification.new do |s|
s.add_dependency 'redis-store', '~> 1.1.0'
s.add_dependency 'rack-cache', '~> 1.2'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
end
@@ -2,5 +2,5 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
-require 'redis-rack-cache'
+require 'mocha/setup'
+require 'redis-rack-cache'
@@ -21,10 +21,9 @@ Gem::Specification.new do |s|
s.add_runtime_dependency 'redis-store', '~> 1.1.0'
s.add_runtime_dependency 'rack', '~> 1.4.1'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
end
@@ -2,6 +2,6 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
+require 'mocha/setup'
require 'rack'
require 'rack/session/redis'
@@ -22,9 +22,8 @@ Gem::Specification.new do |s|
s.add_dependency 'redis-activesupport', '~> 3.2.3'
s.add_dependency 'redis-actionpack', '~> 3.2.3'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
end
@@ -2,5 +2,5 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
+require 'mocha/setup'
require 'redis-rails'
@@ -21,9 +21,8 @@ Gem::Specification.new do |s|
s.add_dependency 'redis-store', '~> 1.1.0'
s.add_dependency 'sinatra', '~> 1.3.2'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
end
@@ -2,5 +2,5 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
-require 'redis-sinatra'
+require 'mocha/setup'
+require 'redis-sinatra'
@@ -18,13 +18,12 @@ Gem::Specification.new do |s|
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.add_dependency 'redis', '>= 2.2.0'
+ s.add_dependency 'redis', '>= 2.2'
- s.add_development_dependency 'rake', '~> 0.9.2'
- s.add_development_dependency 'bundler', '~> 1.1'
- s.add_development_dependency 'mocha', '~> 0.10.0'
- s.add_development_dependency 'minitest', '~> 2.8.0'
- s.add_development_dependency 'purdytest', '~> 1.0.0'
- s.add_development_dependency 'git', '~> 1.2.5'
+ s.add_development_dependency 'rake', '~> 10'
+ s.add_development_dependency 'bundler', '~> 1.2'
+ s.add_development_dependency 'mocha', '~> 0.13.0'
+ s.add_development_dependency 'minitest', '~> 4.3.1'
+ s.add_development_dependency 'git', '~> 1.2.5'
end
@@ -2,7 +2,7 @@
gem 'minitest'
require 'minitest/spec'
require 'minitest/autorun'
-require 'mocha'
+require 'mocha/setup'
require 'redis'
require 'redis-store'

0 comments on commit 0b1f673

Please sign in to comment.